#!/bin/bash

# Development script

# Replace CROSS_COMPILE=... by the path to your arm-gnu-toolchain
CROSS_COMPILE=~/work/wrs/arm_toolchain/arm-gnu-toolchain-13.2.Rel1-x86_64-aarch64-none-elf/bin/aarch64-none-elf-

# Replace LINUX=... by the path to your fec-os-kernel
LINUX=~/work/wrs/fec-os-kernel-5.15/fec-os-kernel/linux-5.15.36/build-arm64

# If the argument is "clean"
if [ $# -eq 1 ]
then
    if [ $1 = "clean" ]
    then
        make ARCH=arm64 CROSS_COMPILE=$CROSS_COMPILE LINUX=$LINUX clean
    fi
else
    make ARCH=arm64 CROSS_COMPILE=$CROSS_COMPILE LINUX=$LINUX -j8
fi
